Resource

Exception

List of all Telemetry Exceptions created for the telemetry service for this project and it's status.

The Exception Model

Properties

  • Name
    _id
    Type
    Object ID
    Description

    ID of this object

  • Name
    createdAt
    Type
    Date
    Description

    Date and Time when the object was created.

  • Name
    updatedAt
    Type
    Date
    Description

    Date and Time when the object was updated.

  • Name
    project
    Type
    Project
    Description

    Relation to Project Resource in which this object belongs

  • Name
    projectId
    Type
    Object IDRequired
    Description

    ID of your Project in which this object belongs

  • Name
    service
    Type
    Service
    Description

    Relation to Service Resource in which this object belongs

  • Name
    serviceId
    Type
    Object IDRequired
    Description

    ID of your Service resource where this object belongs

  • Name
    message
    Type
    Very Long Text
    Description

    Exception message that was thrown by the telemetry service

  • Name
    stackTrace
    Type
    Very Long Text
    Description

    Stack trace of the exception that was thrown by the telemetry service

  • Name
    exceptionType
    Type
    Very Long Text
    Description

    Type of the exception that was thrown by the telemetry service

  • Name
    fingerprint
    Type
    Text
    Description

    Finger print of the exception that was thrown by the telemetry service

  • Name
    createdByUser
    Type
    User
    Description

    Relation to User who created this object (if this object was created by a User)

  • Name
    createdByUserId
    Type
    Object ID
    Description

    User ID who created this object (if this object was created by a User)

  • Name
    markedAsResolvedAt
    Type
    Date
    Description

    When did this team member accept invitation

  • Name
    markedAsArchivedAt
    Type
    Date
    Description

    When did this team member accept invitation

  • Name
    firstSeenAt
    Type
    Date
    Description

    When did this team member accept invitation

  • Name
    lastSeenAt
    Type
    Date
    Description

    When did this team member accept invitation

  • Name
    assignToUser
    Type
    User
    Description

    Relation to User who this exception is assigned to.

  • Name
    assignToUserId
    Type
    Object ID
    Description

    User ID who this exception is assigned to.

  • Name
    assignToTeam
    Type
    Team
    Description

    Relation to Team who this exception is assigned to.

  • Name
    assignToTeamId
    Type
    Object ID
    Description

    Team ID who this exception is assigned to.

  • Name
    markedAsResolvedByUser
    Type
    User
    Description

    Mark as resolved by User who marked this exception as resolved.

  • Name
    markedAsResolvedByUserId
    Type
    Object ID
    Description

    User ID who marked this exception as resolved.

  • Name
    markedAsArchivedByUser
    Type
    User
    Description

    Mark as archived by User

  • Name
    markedAsArchivedByUserId
    Type
    Object ID
    Description

    User ID who marked this exception as archived.

  • Name
    isResolved
    Type
    BooleanRequired
    Description

    Is this exception resolved?

  • Name
    isArchived
    Type
    BooleanRequired
    Description

    Is this exception archived?

  • Name
    occuranceCount
    Type
    NumberRequired
    Description

    Number of times this exception has occurred

  • Name
    firstSeenInRelease
    Type
    Long Text
    Description

    The service version / release in which this exception was first observed

  • Name
    lastSeenInRelease
    Type
    Long Text
    Description

    The most recent service version / release in which this exception was observed

  • Name
    environment
    Type
    Long Text
    Description

    Deployment environment from deployment.environment resource attribute

GETorPOST/api/telemetry-exception/get-list

List

This endpoint allows you to retrieve a paginated list of all your Exception. By default, a maximum of ten Exception are shown per page.

Optional Query Params

  • limit
    number
    Number of objects to fetch. By default 10, you can increase this count up to 100
  • skip
    number
    Number of objects to skip. This can be useful in pagination

Optional Request Body

List Request

POST
/api/telemetry-exception/get-list?skip=0&limit=10
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "select": {
    "isArchived": true,
    "isResolved": true,
    "occuranceCount": true,
    "projectId": true,
    "serviceId": true
  },
  "query": {
    "environment": "production"
  },
  "sort": {
    "createdAt": -1
  }
}

Response

{
  "count": 10,
  "limit": 10,
  "skip": 0,
  "data": [
    {
      "_id": "376e5d60-28fe-11f1-b591-3fdcef396aba",
      "isArchived": false,
      "isResolved": false,
      "occuranceCount": 42,
      "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e",
      "serviceId": "d4e5f6a7-b8c9-0123-def1-234567890123"
    },
    {
      "_id": "376e8470-28fe-11f1-b591-3fdcef396aba",
      "isArchived": false,
      "isResolved": false,
      "occuranceCount": 42,
      "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e",
      "serviceId": "d4e5f6a7-b8c9-0123-def1-234567890123"
    },
    {
      "_id": "376e8471-28fe-11f1-b591-3fdcef396aba",
      "isArchived": false,
      "isResolved": false,
      "occuranceCount": 42,
      "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e",
      "serviceId": "d4e5f6a7-b8c9-0123-def1-234567890123"
    }
  ]
}
GETorPOST/api/telemetry-exception/:id/get-item

Get item by ID

This endpoint allows you to retrieve Exception by ID.

  • id
    text
    ID of the Object

Optional Request Body

Get Item Request

POST
/api/telemetry-exception/:id/get-item
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "select": {
    "isArchived": true,
    "isResolved": true,
    "occuranceCount": true,
    "projectId": true,
    "serviceId": true
  }
}

Response

{
  "_id": "376e5d60-28fe-11f1-b591-3fdcef396aba",
  "isArchived": false,
  "isResolved": false,
  "occuranceCount": 42,
  "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e",
  "serviceId": "d4e5f6a7-b8c9-0123-def1-234567890123"
}
POST/api/telemetry-exception/count

Count

This endpoint allows you to retrieve the count of all your Exception.

Optional Request Body

Count Request

POST
/api/telemetry-exception/count
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "query": {
    "environment": "production"
  }
}

Response

{
  "count": 107
}
POST/api/telemetry-exception

Create Exception

This endpoint allows you to create a new object.

Create Request

POST
/api/telemetry-exception
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "data": {
    "isArchived": false,
    "isResolved": false,
    "occuranceCount": 42,
    "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e",
    "serviceId": "d4e5f6a7-b8c9-0123-def1-234567890123"
  }
}

Response

{
  "_id": "376e5d60-28fe-11f1-b591-3fdcef396aba",
  "isArchived": false,
  "isResolved": false,
  "occuranceCount": 42,
  "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e",
  "serviceId": "d4e5f6a7-b8c9-0123-def1-234567890123"
}
PUT/api/telemetry-exception/:id

Update by ID

This endpoint allows you to update object by its ID.

Alternative Methods

For clients that do not support PUT requests, you can use POST or GET with the same request headers and body:

POST/api/telemetry-exception/:id/update-item
GET/api/telemetry-exception/:id/update-item

Update Request

PUT
/api/telemetry-exception/:id
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "data": {
    "isArchived": false,
    "isResolved": false,
    "occuranceCount": 42
  }
}

Response

{}
DELETE/api/telemetry-exception/:id

Delete by ID

This endpoint allows you to delete object by its ID.

Alternative Methods

For clients that do not support DELETE requests, you can use POST or GET with the same request headers and body:

POST/api/telemetry-exception/:id/delete-item
GET/api/telemetry-exception/:id/delete-item

Delete Request

DELETE
/api/telemetry-exception/:id
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY

Response

{}

Permissions

Your API Token needs permissions to create, update, read or delete this resource. If you do not have permissions to make a request a 4xx status will be sent as response.

Read Permissions

Required to read Exception

  • Project Owner
  • Project Admin
  • Project Member
  • Read Telemetry Service Exception
  • Read All Project Resources

Create Permissions

Required to create Exception

  • Project Owner
  • Project Admin
  • Create Telemetry Service Exception

Update Permissions

Required to update Exception

  • Project Owner
  • Project Admin
  • Edit Telemetry Service Exception

Delete Permissions

Required to delete Exception

  • Project Owner
  • Project Admin
  • Delete Telemetry Service Exception